Draft Point

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Point and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Point.svg Draft Point

Menüeintrag
Entwurf → Punkt
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
P T
In der Version eingeführt
0.7
Siehe auch
None


Beschreibung

Das Punkt-Werkzeug erstellt einen einfachen Punkt in der aktuellen Arbeitsebene, nützlich, um später bei der Platzierung von Linien, Linienzügen oder anderen Objekten als Referenz zu dienen. Es verwendet (nur) die bereits im Draft Tray gesetzte Farbe.

Draft point example.jpg

Ein einzelner Punkt auf der Arbeitsebene


Anwendung

  1. Drücke den Draft Point.png Punkt-Button oder drücke die Tasten P, dann T
  2. Klicke einen Punkt in der 3D-Ansicht oder tippe eine Koordinate und drücke den Draft AddPoint.svg Punkt hinzufügen-Button.

Optionen

  • Um manuell Koordinaten einzugeben, trage einfach die Zahlen ein, drücke dann Enter zwischen jeder der X-, Y- und Z-Komponenten. Du kannst den Draft AddPoint.svg Punkt hinzufügen-Button drücken, um den Punkt einzufügen, nachdem Du die gewünschten Werte eingeben hast.
  • Drücke Alt+N oder klicke das Ankreuzkästchen zur Umschaltung des 'Nächstes-Modus. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Punkt-Werkzeug nach der Eingabe des Punkts erneut starten, ohne dass Du den Werkzeug-Button nochmal drücken musst.
  • Drücke Esc oder den Schließen-Button zum Abbruch des aktuellen Befehls.

Eigenschaften

  • Daten-EigenschaftX: die X-Koordinate des Punktes.
  • Daten-EigenschaftY: die Y-Koordinate des Punktes.
  • Daten-EigenschaftZ: die Z-Koordinate des Punktes.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

Das Punkt-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Erstellt ein Punkt-Objekt an den angegebenen X-, Y- und Z-Koordinaten mit Einheiten in mm. Falls keine Koordinaten angegeben werden, wird der Punkt bei (0,0,0) angelegt.
    • Falls X ein durch einen FreeCAD.Vector definierter Punkt ist, wird dieser verwendet.
  • color ist ein Tupel (R, G, B), das die Farbe des Punktes in der RGB-Farbskala angibt; jeder Wert des Tupels sollte im Bereich von 0 bis 1 liegen.
  • name ist der Name des Objekts.
  • point_size ist die Größe des Objekt in Pixeln, falls die grafische Benutzeroberfläche geladen ist

Beispiel:

import random, FreeCAD, Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)

# Make a loop and create ten points with random coordinates that extend
# from -L to L on both X and Y. Also choose a random color and size.

# Change value to define the area covered by the points
L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L,-L,0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)

for i in range(10):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)